﻿using MVVM_ListViewBackground.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MVVM_ListViewBackground
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            var itemContainerViewModel = new ItemContainerViewModel();

            var item1 = new ItemViewModel { Text = "Red", Color = Colors.Red };
            itemContainerViewModel.ItemViewModels.Add(item1);

            var item2 = new ItemViewModel { Text = "Green", Color = Colors.Green };
            itemContainerViewModel.ItemViewModels.Add(item2);

            var item3 = new ItemViewModel { Text = "Blue", Color = Colors.Blue };
            itemContainerViewModel.ItemViewModels.Add(item3);

            this.DataContext = itemContainerViewModel;

        }
    }
}
